import request from '@/utils/request'

// 查询用户上线情况列表
export function listUserOnlineState(query) {
  return request({
    url: '/store/userOnlineState/list',
    method: 'get',
    params: query
  })
}

// 查询用户上线情况详细
export function getUserOnlineState(userId) {
  return request({
    url: '/store/userOnlineState/' + userId,
    method: 'get'
  })
}

// 新增用户上线情况
export function addUserOnlineState(data) {
  return request({
    url: '/store/userOnlineState',
    method: 'post',
    data: data
  })
}

// 修改用户上线情况
export function updateUserOnlineState(data) {
  return request({
    url: '/store/userOnlineState',
    method: 'put',
    data: data
  })
}

// 删除用户上线情况
export function delUserOnlineState(userId) {
  return request({
    url: '/store/userOnlineState/' + userId,
    method: 'delete'
  })
}

// 导出用户上线情况
export function exportUserOnlineState(query) {
  return request({
    url: '/store/userOnlineState/export',
    method: 'get',
    params: query
  })
}
